package com.bocloud.cmp.provider.azure.automation;

import com.bocloud.cmp.model.azure.automation.LogAnalyticModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: LogAnalytic
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/8 10:53
 */
public interface LogAnalyticProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult sharedKeys(LogAnalyticModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(LogAnalyticModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult linkedServices(LogAnalyticModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(LogAnalyticModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(LogAnalyticModel model) {
        return new BocloudResult(false, "need implement");
    }

    //获取工作区里面的资源数据
    default BocloudResult queryLogAnalytic(LogAnalyticModel model, String operation, String resourceId) {
        return new BocloudResult(false, "need implement");
    }

}